Subject: [bug#69302] [PATCH 1/2] doc: Add “Getting Started with the System” section.

From: Ludovic Courtès <[email-masked]>
Date: Sat, 24 Feb 2024 12:30:17 +0100

Hi!

"pelzflorian (Florian Pelz)" <[email-masked]> skribis:

> This rewrite makes Guix System more approachable.  Thank you for the tip
> with “guix style -f”!

:-)

> Ludovic Courtès <[email-masked]> writes:
>> * doc/guix.texi (Getting Started with the System): New node.
>> (After System Installation): Refer to it.  Remove note about ‘sudo guix
>> pull’.
>
> I was alarmed that you remove the note about sudo, but indeed you just
> moved it and not removed.
>
>> (Getting Started): Refer to it.  Remove note about ‘guix system roll-back’.
>
> As above.

Right, I’ll clarify that in the commit log.

> Could you add a reference @uref{https://git-scm.com/book/en/, Git} like
> we do in the “Invoking guix pull” section?

Sure, will do.

>> +The previous section showed the overall workflow you would follow when
>> +administrating a Guix System machine (@pxref{Getting Started with the
>
> “administering” seems more correct than “administrating”.  I’m not a
> native English speaker though.

Probably, I’m always hesitant.

>>  The operating system is configured by providing an
>>  @code{operating-system} declaration in a file that can then be passed to
>> -the @command{guix system} command (@pxref{Invoking guix system}).  A
>> -simple setup, with the default Linux-Libre
>> -kernel, initial RAM disk, and a couple of system services added to those
>> +the @command{guix system} command, as we've seen before (@pxref{Invoking
>> +guix system}).  […]
>
> Could you move the (@pxref{Invoking guix system}) before the “, as we've
> seen before”?  Otherwise it appears as if “before” refers to “Invoking
> guix system”.

I like to avoid parenthetical expressions in the middle of a sentence,
as it breaks the flow, but in this case you’re right that it makes the
text ambiguous.  I’ll change it.

Thanks!

Ludo’.